@import "../../theme/mixins";

h1 {
  justify-content: left;
  align-items: flex-start;
  text-align: center;
  font-size: 1.4rem;
  font-weight: 400;
  background: #1a1d1e;
  color: #fff;
  padding: 1rem 0;
  position: sticky;
  top: 0;
  z-index: 2;
}

.container {
  @include esspass-12-grid-random-width-gap-template(8rem, 0.5rem);

  background-color: #f5f5f5;
  padding: 2rem 0;
  text-align: center;
  font-size: 1.2rem;

  a {
    &:first-child {
      grid-column: 1/3;
      color: #390990;
      text-decoration: none;
      font-weight: 500;
      cursor: default;
    }

    &:nth-child(2) {
      grid-column: 5/6;
    }

    &:nth-child(3) {
      grid-column: 6/7;
      text-wrap: none;
    }

    &:nth-child(4) {
      grid-column: 7/8;
      text-decoration: none;
    }
  }

  issuer-login {
    grid-column: 11/13;
  }
}

@media screen and (max-width: 840px) {
  .container {
    @include esspass-9-grid-random-width-gap-template(8rem, 0.5rem);

    a {
      &:first-child {
        grid-column: 1/3;
      }

      &:nth-child(2) {
        grid-column: 4;
      }

      &:nth-child(3) {
        grid-column: 5;
        text-wrap: none;
      }

      &:nth-child(4) {
        grid-column: 6;
        text-decoration: none;
      }
    }

    issuer-login {
      grid-column: 8/10;
    }
  }
}

@media (max-width: 528px) {
  .menu {
    display: block;
  }

  .container {
    display: none;
  }
}

@media screen and (min-width: 529px) {
  .menu {
    display: none;
  }
}

.menu {
  ion-menu {
    ion-header {
      ion-toolbar {
        ion-title {
          font-size: 2.4rem;
          font-weight: bold;
          margin: 0 auto;
          width: 100%;
          text-align: center;
        }
      }
    }

    ion-content {
      ion-menu-toggle {
        ion-button {
          margin: 2rem;
        }
      }
      ion-buttons {
        ion-button {
          margin: 2rem;
        }
      }
    }
  }
}
